diff --git a/configure.ac b/configure.ac
index 8402afd..ec4e3e7 100644
--- a/configure.ac
+++ b/configure.ac
@@ -3709,6 +3709,7 @@ gst-libs/gst/wayland/Makefile
 gst-libs/gst/base/Makefile
 gst-libs/gst/player/Makefile
 gst-libs/gst/video/Makefile
+gst-libs/gst/vanc/Makefile
 gst-libs/gst/audio/Makefile
 sys/Makefile
 sys/dshowdecwrapper/Makefile
diff --git a/gst-libs/gst/Makefile.am b/gst-libs/gst/Makefile.am
index 7d0b309..25ceccc 100644
--- a/gst-libs/gst/Makefile.am
+++ b/gst-libs/gst/Makefile.am
@@ -11,11 +11,11 @@ WAYLAND_DIR=wayland
 endif
 
 SUBDIRS = uridownloader adaptivedemux interfaces basecamerabinsrc codecparsers \
-	 insertbin mpegts base video audio player $(GL_DIR) $(WAYLAND_DIR)
+	 insertbin mpegts base video audio player vanc $(GL_DIR) $(WAYLAND_DIR)
 
 noinst_HEADERS = gst-i18n-plugin.h gettext.h glib-compat-private.h
 DIST_SUBDIRS = uridownloader adaptivedemux interfaces gl basecamerabinsrc \
-	codecparsers insertbin mpegts wayland base video audio player
+	codecparsers insertbin mpegts wayland base video audio player vanc
 
 #dependencies
 video, audio: base
diff --git a/gst-libs/gst/vanc/gstvancmeta.c b/gst-libs/gst/vanc/gstvancmeta.c
index 0c94fe5..9831614 100644
--- a/gst-libs/gst/vanc/gstvancmeta.c
+++ b/gst-libs/gst/vanc/gstvancmeta.c
@@ -31,7 +31,7 @@ gst_vanc_meta_transform (GstBuffer * transbuf, GstMeta * meta,
   /* we always need a copy, but is this the best way?  Can we just
    * up-ref the GArray? */
   gst_buffer_add_vanc_meta (transbuf, vmeta->data_id, vmeta->dbn_sdid,
-      (uint16_t *) vmeta->data->data, vmeta->data->len, vmeta->checksum);
+      (guint16 *) vmeta->data->data, vmeta->data->len, vmeta->checksum);
   g_array_ref (vmeta->data);
   return TRUE;
 }
@@ -64,7 +64,7 @@ vanc_meta_get_info (void)
 
 VANCMeta *
 gst_buffer_add_vanc_meta (GstBuffer * buffer,
-    gint did, gint dbn_sdid, uint16_t * data, gsize size, uint16_t checksum)
+    gint did, gint dbn_sdid, guint16 * data, gsize size, guint16 checksum)
 {
   VANCMeta *vmeta;
 
@@ -76,7 +76,7 @@ gst_buffer_add_vanc_meta (GstBuffer * buffer,
   vmeta->dbn_sdid = dbn_sdid;
   vmeta->checksum = checksum;
 
-  vmeta->data = g_array_sized_new (FALSE, FALSE, sizeof (uint16_t), size);
+  vmeta->data = g_array_sized_new (FALSE, FALSE, sizeof (guint16), size);
   g_array_append_vals (vmeta->data, data, size);
 
   return vmeta;
diff --git a/gst-libs/gst/vanc/gstvancmeta.h b/gst-libs/gst/vanc/gstvancmeta.h
index 9d0a96b..33d791e 100644
--- a/gst-libs/gst/vanc/gstvancmeta.h
+++ b/gst-libs/gst/vanc/gstvancmeta.h
@@ -7,7 +7,6 @@ extern "C"
 #endif
 
 #include <gst/gst.h>
-#include <stdint.h>
 
 G_BEGIN_DECLS
 
@@ -18,22 +17,23 @@ struct _VANCMeta {
   gint             data_id;
   gint             dbn_sdid;
   GArray          *data;
-  uint16_t         checksum;
+  guint16          checksum;
 };
 
 GType vanc_meta_api_get_type (void);
 
 /* implementation */
-const  GstMetaInfo *gst_vanc_meta_get_info (void);
+const GstMetaInfo *vanc_meta_get_info (void);
 #define GST_VANC_META_INFO (vanc_meta_get_info ())
 
 VANCMeta * gst_buffer_add_vanc_meta (GstBuffer * buffer,
                                      gint did, gint dbn_sdid,
-                                     uint16_t * data, gsize size,
-                                     uint16_t checksum);
+                                     guint16 * data, gsize size,
+                                     guint16 checksum);
 
 int gst_vanc_getDataID(const VANCMeta *meta);
 
+GType gst_vanc_meta_api_get_type (void);
 #define VANC_META_API_TYPE (gst_vanc_meta_api_get_type())
 
 #define gst_buffer_get_vanc_meta(b)                             \
diff --git a/pkgconfig/gstreamer-plugins-bad-uninstalled.pc.in b/pkgconfig/gstreamer-plugins-bad-uninstalled.pc.in
index df9a9c5..2692251 100644
--- a/pkgconfig/gstreamer-plugins-bad-uninstalled.pc.in
+++ b/pkgconfig/gstreamer-plugins-bad-uninstalled.pc.in
@@ -10,5 +10,5 @@ Name: GStreamer Bad Plugin libraries, Uninstalled
 Description: Streaming media framework, bad plugins libraries, uninstalled
 Version: @VERSION@
 Requires: gstreamer-@GST_API_VERSION@
-Libs: -L@abs_top_builddir@/gst-libs/gst/audio/.libs -L@abs_top_builddir@/gst-libs/gst/basecamerabinsrc/.libs -L@abs_top_builddir@/gst-libs/gst/codecparsers/.libs -L@abs_top_builddir@/gst-libs/gst/gl/.libs -L@abs_top_builddir@/gst-libs/gst/insertbin/.libs -L@abs_top_builddir@/gst-libs/gst/interfaces/.libs -L@abs_top_builddir@/gst-libs/gst/mpegts/.libs -L@abs_top_builddir@/gst-libs/gst/player/.libs -L@abs_top_builddir@/gst-libs/gst/signalprocessor/.libs -L@abs_top_builddir@/gst-libs/gst/video/.libs -L@abs_top_builddir@/gst-libs/gst/wayland/.libs
+Libs: -L@abs_top_builddir@/gst-libs/gst/audio/.libs -L@abs_top_builddir@/gst-libs/gst/basecamerabinsrc/.libs -L@abs_top_builddir@/gst-libs/gst/codecparsers/.libs -L@abs_top_builddir@/gst-libs/gst/gl/.libs -L@abs_top_builddir@/gst-libs/gst/insertbin/.libs -L@abs_top_builddir@/gst-libs/gst/interfaces/.libs -L@abs_top_builddir@/gst-libs/gst/mpegts/.libs -L@abs_top_builddir@/gst-libs/gst/player/.libs -L@abs_top_builddir@/gst-libs/gst/signalprocessor/.libs -L@abs_top_builddir@/gst-libs/gst/video/.libs -L@abs_top_builddir@/gst-libs/gst/vanc/.libs -L@abs_top_builddir@/gst-libs/gst/wayland/.libs
 Cflags: -I@abs_top_srcdir@/gst-libs -I@abs_top_builddir@/gst-libs
